<?php

//--------------------------------------------
//funktion die das ausgewhlte datum aus den
//formularfeldern in ein SQL-Datum parst
function parseDateFormular($tag,$monat,$jahr){

	if ($monat < 10) {
		$monat = "0".($monat);
	}
	if ($tag < 10) {
		$tag = "0".($tag);
	}

	$date = $jahr."-".$monat."-".$tag;

	return $date;

} //ende parseDate

/**--------------------------------------------
//funktion die einen monatsnamen in die
//monats-zahl parst
*/
function parseMonthNumber($monat){
	
	$mon = 0;

	if ($monat == "Jnner")
		$mon = 1;
	elseif ($monat == "Februar")
		$mon = 2;
	elseif ($monat == "Mrz")
		$mon = 3;
	elseif ($monat == "April")
		$mon = 4;
	elseif ($monat == "Mai")
		$mon = 5;
	elseif ($monat == "Juni")
		$mon = 6;
	elseif ($monat == "Juli")
		$mon = 7;
	elseif ($monat == "August")
		$mon = 8;
	elseif ($monat == "September")
		$mon = 9;
	elseif ($monat == "Oktober")
		$mon = 10;
	elseif ($monat == "November")
		$mon = 11;
	elseif ($monat == "Dezember")
		$mon = 12;
	
	return $mon;

} //ende parseDateNumber

/**--------------------------------------------
//funktion die ein monat in ziffern in den
//monats-namen parst
*/
function parseMonthName($month){			

		switch($month){
		case 1:
				$month = "Jnner";
			break;
		case 2:
				$month = "Februar";
			break;
		case 3:
				$month = "Mrz";
			break;
		case 4:
				$month = "April";
			break;
		case 5:
				$month = "Mai";
			break;
		case 6:
				$month = "Juni";
			break;
		case 7:
				$month = "Juli";
			break;
		case 8:
				$month = "August";
			break;
		case 9:
				$month = "September";
			break;
		case 10:
				$month = "Oktober";
			break;
		case 11:
				$month = "November";
			break;
		case 12:
				$month = "Dezember";								
	} //ende switch
	
	return $month;

} //ende parseMonthName


//-----------------------------------------------
//prft ob das von-datum kleiner als das bis-datum
//ist, bergeben werden integer-werte:
function isDatumEarlier($vonTag, $vonMonat, $vonJahr, $bisTag, $bisMonat, $bisJahr){	

	//so jetzt mit einem schmh, einen integer draus machen, falls dieser keiner
	//sein sollte. der +_operator bernimmt dies fr mich...
	$vonJahr+=1;$bisJahr+=1;$vonMonat+=1;$bisMonat+=1;$vonTag+=1;$bisTag+=1;
	$vonJahr-=1;$bisJahr-=1;$vonMonat-=1;$bisMonat-=1;$vonTag-=1;$bisTag-=1;
	
	$tagKleiner = ($vonTag < $bisTag);
	$monKleiner = ($vonMonat < $bisMonat);
	$jahKleiner = ($vonJahr < $bisJahr);
	$tagGleich  = ($vonTag == $bisTag);
	$monGleich  = ($vonMonat == $bisMonat);
	$jahGleich  = ($vonJahr == $bisJahr);
	
	if ($jahKleiner){
		return TRUE;
	}
	if ($jahGleich && $monKleiner){
		return TRUE;
	} 
	if ($jahGleich && $monGleich && $tagKleiner){
		return TRUE;
	}
	if ($jahGleich && $monGleich && $tagGleich){
		return TRUE;
	}
	
	return FALSE;

}//ende isDatumEarlier

//-------------------------------------
//gibt heutigen tag zurck:
function getTodayDay(){

	$today = getdate(); 	
	$mday = $today['mday']; 
	
	switch($mday){
		case 1:
		case 2:
		case 3:
		case 4:
		case 5:
		case 6:
		case 7:
		case 8:
		case 9:
			$mday = "0".$mday;						
	}
	return $mday;
}

//-------------------------------------
//gibt heutiges monat zurck:
function getTodayMonth(){

	$today = getdate(); 
	$month = $today['mon']; 
	switch($month){
		case 1:
			$month = "Jnner";
			break;
		case 2:
			$month = "Februar";
			break;
		case 3:
			$month = "Mrz";
			break;
		case 4:
			$month = "April";
			break;
		case 5:
			$month = "Mai";
			break;
		case 6:
			$month = "Juni";
			break;
		case 7:
			$month = "Juli";
			break;
		case 8:
			$month = "August";
			break;
		case 9:
			$month = "September";
			break;
		case 10:
			$month = "Oktober";
			break;
		case 11:
			$month = "November";
			break;
		case 12:
			$month = "Dezember";								
	} //ende switch
	
	return $month;
} //ende getTodayMonth

//-------------------------------------
//gibt aktuelles jahr zurck:
function getTodayYear(){

	$today = getdate(); 
	$year = $today['year']; 	
	return $year;

} //ende getTodayYear

//------------------------------------
//gibt anzahl der tage eines monats zurck
function getNumberOfDays($monat,$jahr){

	$days = 31;
	if ($monat == 4 || $monat == 6 || $monat == 9 || $monat == 11 ) {
		$days = 30;
	}
	if ($monat == 2){
		$days = 28;
		 //schaltjahr?
		 if($jahr%4 == 0) $days = 29;
  	     if($jahr%100 == 0) $days = 29;
         if($jahr%400 == 0) $days = 29;
	}
	return $days;	
} //ende getNumberOfDays

//---------------------------------------------------
//gibt zurck welcher tag der 1.im monat ist:
function getFirstDayOfMonth($month,$year){	
	
	//int mktime (int Stunde, int Minute, int Sekunde, int Monat, int Tag, int Jahr [, int is_dst])
	$day = date("D", mktime(0, 0, 0, $month, 1, $year));
	return $day;

} //ende getFirstDayOfMonth

/**----------------------------------------------------
//gibt den wochentag zurck:
*/
function getDayName($tag,$monat,$jahr){	
	
	$day = date("D", mktime(0, 0, 0, $monat, $tag, $jahr));	
		
		if ($day == "Mon")
			$day = "MO";
		elseif ($day == "Tue")
			$day = "DI";
		elseif ($day == "Wed")
			$day = "MI";
		elseif ($day == "Thu")
			$day = "DO";
		elseif ($day == "Fri")
			$day = "FR";
		elseif ($day == "Sat")
			$day = "SA";
		elseif ($day == "Sun")
			$day = "SO";
			
	return $day;
	
} //ende getDayName

/**----------------------------------------------------
//gibt den wochentag zurck:
*/
function getFullDayName($tag,$monat,$jahr){	
	
	$day = getDayName($tag,$monat,$jahr);		

		if ($day == "Mon")
			$day = "Montag";
		elseif ($day == "Tue")
			$day = "Dienstag";
		elseif ($day == "Wed")
			$day = "Mittwoch";
		elseif ($day == "Thu")
			$day = "Donnerstag";
		elseif ($day == "Fri")
			$day = "Freitag";
		elseif ($day == "Sat")
			$day = "Samstag";
		elseif ($day == "Sun")
			$day = "Sonntag";
				
	return $day;
	
} //ende getFullDayName


?>
